Last Comment Bug 1121209 - whatsnew page for ESR24 -> ESR31 updates doesn't show Australis tour
: whatsnew page for ESR24 -> ESR31 updates doesn't show Australis tour
Status: RESOLVED FIXED
[kb=1630133]
:
Product: www.mozilla.org
Classification: Other
Component: Bedrock (show other bugs)
: Production
: x86 All
-- normal
: ---
Assigned To: Alex Gibson [:agibson]
:
:
Mentors:
Depends on:
Blocks: 1018694 1121123
  Show dependency treegraph
 
Reported: 2015-01-13 14:45 PST by Nick Thomas [:nthomas]
Modified: 2015-04-06 19:54 PDT (History)
4 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
GitHub pull request (44 bytes, text/x-github-pull-request)
2015-01-14 05:24 PST, Alex Gibson [:agibson]
no flags Details | Review | Splinter Review

Description User image Nick Thomas [:nthomas] 2015-01-13 14:45:39 PST
Users of 24.x.y (ESR24) are shown the whatsnew page (eg)
  https://www.mozilla.org/en-US/firefox/31.4.0/whatsnew/?oldversion=24.8.0
when they update to an ESR31 build. When this was first set up (bug 1018694) this had the Australis tour on it, but now it has 'Committed to you, your privacy and an open Web' and Firefox sync.
Comment 1 User image Cory Price [:ckprice] 2015-01-13 14:46:36 PST
:agibson - can you confirm if there's anything we can do on the bedrock side?
Comment 2 User image Alex Gibson [:agibson] 2015-01-14 02:03:57 PST
Since the original Australis /whatsnew tour was made we have done several iterations and updates in various revisions of Firefox since. We made the decision not to indefinitely support old versions of the /whatsnew tour, as there have since been many updates to UITour and supporting older versions becomes more difficult over time. Also our logic for showing /whatsnew templates is now getting quite complex [1].

That said, if there are still people upgrading from pre 29 versions to an ESR such as this, we could add in another special case for people updating to 31.x from < 29.

[1] https://github.com/mozilla/bedrock/blob/master/bedrock/firefox/views.py#L412
Comment 3 User image Alex Gibson [:agibson] 2015-01-14 05:24:15 PST
Created attachment 8548867 [details] [review]
GitHub pull request
Comment 4 User image Nick Thomas [:nthomas] 2015-01-14 18:27:35 PST
Thanks for writing the patch to restore the tour. I'd filed this because release engineering hadn't heard that we should stop doing whatsnew for esr24 users. Certainly it would make our work a little easier if we could stop, but it's release management and other's call. And we won't ever update every user, especially on esr where the user may not have that choice, but it may well have been long enough that most people have.
Comment 5 User image Alex Gibson [:agibson] 2015-01-14 23:16:11 PST
(In reply to Nick Thomas [:nthomas] from comment #4)
> Thanks for writing the patch to restore the tour. I'd filed this because
> release engineering hadn't heard that we should stop doing whatsnew for
> esr24 users. Certainly it would make our work a little easier if we could
> stop, but it's release management and other's call. And we won't ever update
> every user, especially on esr where the user may not have that choice, but
> it may well have been long enough that most people have.

Thanks, Nick!

Fwiw, I don't think we we're aware whatsnew was being shown for ESR24 users when updating. Apologies if this got missed somehow. We can continue to keep showing it for now. If this needs to change in the future we'll let you know.
Comment 6 User image [github robot] 2015-01-19 01:21:53 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/f3bd8c87d7cbc5cbad8c61e2f1ac05d6c6ea1fed
[fix bug 1121209] whatsnew page for ESR24 -> ESR31 updates doesn't show Australis tour

https://github.com/mozilla/bedrock/commit/eaab8266964615c31e3cdbccb86d77600763712b
Merge pull request #2657 from alexgibson/bug1121209-whatsnew-esr31

[fix bug 1121209] whatsnew page for ESR24 -> ESR31 updates doesn't show Australis tour
Comment 7 User image Nick Thomas [:nthomas] 2015-04-06 19:54:41 PDT
FYI, we're no longer showing a whatsnew page to ESR24 users when they update to 31.

Note You need to log in before you can comment on or make changes to this bug.